Skip to main content

Documentation Index

Fetch the complete documentation index at: https://gusto-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

You can create a custom earning type using the POST companies/{company_uuid}/earning_typesendpoint. The new earning will now be available under the fixed_compensation array for every employee.

Unique Earning Names

If an inactive earning type exists with the same name, this will reactivate it instead of creating a new one.
curl --request POST \
     --url https://api.gusto-demo.com/v1/companies/{company_uuid}/earning_types \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <<COMPANY_API_TOKEN>>' \
     --header 'content-type: application/json' \
     --data '{"name":"Sales"}'

Create a Termination Payroll Flow Create a Historical Payroll